Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGLUTesselatorTriangleFilter Class Reference

`#include <vtkGLUTesselatorTriangleFilter.h>`

Inheritance diagram for vtkGLUTesselatorTriangleFilter:

[legend]
Collaboration diagram for vtkGLUTesselatorTriangleFilter:

[legend]
List of all members.

## Detailed Description

create triangle polygons from input polygons and triangle strips

Date:
  2002/08/07 23:12:10

Revision:
  1.7

vtkGLUTesselatorTriangleFilter generates triangles from input polygons and triangle strips. The filter also will pass through vertices and lines, if requested.

This filter is a specialized version of vtkTriangleFilter. It uses glu code to perform the tessellation. To use this filter, you will have to link against a GLU library.

See also:
  vtkTriangleFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (96%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkGLUTesselatorTriangleFilter.cxx)`
  - .`h` (`/Hybrid/vtkGLUTesselatorTriangleFilter.h)`

Definition at line 50 of file vtkGLUTesselatorTriangleFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | PassVertsOn ()
virtual void | PassVertsOff ()
virtual void | SetPassVerts (int)
virtual int | GetPassVerts ()
virtual void | PassLinesOn ()
virtual void | PassLinesOff ()
virtual void | SetPassLines (int)
virtual int | GetPassLines ()
## Static Public Methods
vtkGLUTesselatorTriangleFilter * | New ()
int | IsTypeOf (const char *type)
vtkGLUTesselatorTriangleFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGLUTesselatorTriangleFilter ()
| ~vtkGLUTesselatorTriangleFilter ()
void | Execute ()
## Protected Attributes
int | PassVerts
int | PassLines
GLUtesselator * | GLUTesselator

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkGLUTesselatorTriangleFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 54 of file vtkGLUTesselatorTriangleFilter.h.

## Constructor & Destructor Documentation

vtkGLUTesselatorTriangleFilter::vtkGLUTesselatorTriangleFilter | ( |  | ) | `[protected]`

vtkGLUTesselatorTriangleFilter::~vtkGLUTesselatorTriangleFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGLUTesselatorTriangleFilter* vtkGLUTesselatorTriangleFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkGLUTesselatorTriangleFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkGLUTesselatorTriangleFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkGLUTesselatorTriangleFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkGLUTesselatorTriangleFilter* vtkGLUTesselatorTriangleFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkGLUTesselatorTriangleFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkGLUTesselatorTriangleFilter::PassVertsOn | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkGLUTesselatorTriangleFilter::PassVertsOff | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkGLUTesselatorTriangleFilter::SetPassVerts | ( | int |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual int vtkGLUTesselatorTriangleFilter::GetPassVerts | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkGLUTesselatorTriangleFilter::PassLinesOn | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual void vtkGLUTesselatorTriangleFilter::PassLinesOff | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual void vtkGLUTesselatorTriangleFilter::SetPassLines | ( | int |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual int vtkGLUTesselatorTriangleFilter::GetPassLines | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

void vtkGLUTesselatorTriangleFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkGLUTesselatorTriangleFilter::PassVerts`[protected]`

| Definition at line 79 of file vtkGLUTesselatorTriangleFilter.h.

int vtkGLUTesselatorTriangleFilter::PassLines`[protected]`

| Definition at line 80 of file vtkGLUTesselatorTriangleFilter.h.

GLUtesselator* vtkGLUTesselatorTriangleFilter::GLUTesselator`[protected]`

| Definition at line 81 of file vtkGLUTesselatorTriangleFilter.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkGLUTesselatorTriangleFilter.h